# JPImagePickerControllerDelegate

Delegate protocol for the JPImagePickerController

Extends Protocol: NSObject
Declared In: JPImagePickerController.h

##### Discussion

You have to implement this delegate in order to use the JPImagePickerController. This delegate is responsible for dismissing the picker on cancel or finished picking.

## Methods

`-imagePicker:didFinishPickingWithImageNumber:`

  Called when the user picked a image.

`-imagePickerDidCancel:`

  Called when picker did cancel

### imagePicker:didFinishPickingWithImageNumber:

Called when the user picked a image.

    - (void)imagePicker:(JPImagePickerController *)picker
            didFinishPickingWithImageNumber:(NSInteger)imageNumber;

##### Parameters

`picker`

  The picker which called this method.

`imageNumber`

  The number which image the user picked.

##### Discussion

This method is called when the user die finish picking. The delegate is responsible to dismiss the picker here.

### imagePickerDidCancel:

Called when picker did cancel

    - (void)imagePickerDidCancel:(JPImagePickerController *)picker;

##### Parameters

`picker`

  The picker which called this method.

##### Discussion

This method is called when the user canceled picking. The delegate is responsible to dismiss the picker here.

Last Updated: Saturday, November 14, 2009